Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
user/articleedit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $PublishNoticeReceiver = $ini->variable( "eZArticleMain", "PublishNoticeReceiver" )
| $PublishNoticeSender = $ini->variable( "eZArticleMain", "PublishNoticeSender" )
| $session =& eZSession::globalSession()
if(( $Action=="Insert")||( $Action=="Update")) if( $Action=="Cancel") | $Language = $ini->variable( "eZArticleMain", "Language" )
if(isset($SectionIDOverride)) | $t
if(isset( $ErrorParsing) && $ErrorParsing==true) | else
if( $Action=="New") | $articleID = $ArticleID
if( $Action=="Edit") | $tree = new eZArticleCategory()
| $treeArray = $tree->getTree()

## Variable Documentation

## ◆ $articleID

if ($Action=="New") $articleID = $ArticleID

Definition at line 269 of file user/articleedit.php.

Referenced by eZArticleCategory\addArticle(), eZArticleType\attributesByArticle(), eZArticleCategory\delete(), newArticle(), eZArticleCategory\removeArticle(), eZQDomRenderer\renderFile(), eZTechRenderer\renderImage(), eZQDomRenderer\renderImage(), eZQDomRenderer\renderIntro(), eZTechRenderer\renderIntro(), eZQDomRenderer\renderMedia(), eZEzRenderer\renderPage(), eZQDomRenderer\renderPage(), eZTechRenderer\renderPage(), eZArticleAttribute\setValue(), and eZArticleAttribute\value().

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 47 of file user/articleedit.php.

## ◆ $Language

if (($Action=="Insert")||($Action=="Update")) if ($Action=="Cancel") $Language = $ini->variable( "eZArticleMain", "Language" )

Definition at line 196 of file user/articleedit.php.

## ◆ $PublishNoticeReceiver

$PublishNoticeReceiver = $ini->variable( "eZArticleMain", "PublishNoticeReceiver" )

Definition at line 49 of file user/articleedit.php.

Referenced by eZArticleTool\notificationMessage().

## ◆ $PublishNoticeSender

$PublishNoticeSender = $ini->variable( "eZArticleMain", "PublishNoticeSender" )

Definition at line 50 of file user/articleedit.php.

Referenced by eZArticleTool\notificationMessage().

## ◆ $session

$session =& eZSession::globalSession()

Definition at line 52 of file user/articleedit.php.

## ◆ $t

if (isset( $SectionIDOverride)) $t

Initial value:
= new eZTemplate( "kernel/ezarticle/user/" . $ini->variable( "eZArticleMain", "TemplateDir" ),
"kernel/ezarticle/user/intl/", $Language, "articleedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
$ini
Definition: user/articleedit.php:47
$Language
if(( $Action=="Insert")||( $Action=="Update")) if( $Action=="Cancel") $Language
Definition: user/articleedit.php:196

Definition at line 207 of file user/articleedit.php.

## ◆ $tree

if ($Action=="Edit") $tree = new eZArticleCategory()

Definition at line 323 of file user/articleedit.php.

## ◆ $treeArray

$treeArray = $tree->getTree()

Definition at line 324 of file user/articleedit.php.

## ◆ else

if (isset($ErrorParsing) &&$ErrorParsing==true) else

Initial value:
{
$t->set_var( "error_message", "" )
$t
if(isset($SectionIDOverride)) $t
Definition: user/articleedit.php:207

Definition at line 224 of file user/articleedit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.